name: Sleepez
version: '1.1.0'
main: com.devonsreach.sleepez.SleepEZ
authors: [ JadenDevon ]
description: Configurable sleep plugin with time-lapse
website: https://www.spigotmc.org/resources/sleepez.64732/
permissions:
  sleepez.ignoreplayer:
    description: Allows user to be ignored when counting online players for sleep events.
    default: op
  sleepez.sleepmaster:
    description: Allows user to activate sleep events without any other players needing to sleep.
    default: false
  sleepez.admin:
    description: Allows user to use sleepEZReload command.
    default: op
  sleepez.insomniac:
    description: Prevents a player from sleeping. (not yet implemented)
    default: false
commands:
  EZReload:
    description: Reloads config
    usage: /<command>
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZToggleTimelapse:
    description: Enables user to set Time-Lapse to true or false in the config.
    usage: /<command>
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZTimelapseSpeed:
    description: Enables user to set Time-Lapse Speed [1-10] in the config.
    usage: /<command> [1-10]
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZToggleNumberPercent:
    description: Sets Use Percent or Number to PERCENT in config.
    usage: /<command>
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZSetPercent:
    description: Sets Percentage of Players in config.
    usage: /<command> [1-100]
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZSetNumber:
    description: Sets Percentage of Players to PERCENT in config.
    usage: /<command> [number]
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZToggleEndStorm:
    description: Sets End Storm to true or false in the config
    usage: /<command>
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZToggleUnsafeSleep:
    description: Sets Allow Unsafe Sleep to true or false in the config
    usage: /<command>
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZToggleEnterBedDuringTimeLapse:
    description: Toggles option to allow players to enter a bed after a time-lapse has bee triggered.
    usage: /<command>
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.
  EZToggleExitBedDuringTimeLapse:
    description: Toggles optuon to allow players to leave their bed for the duration of a time-lapse.
    usage: /<command>
    permission: sleepez.admin
    permission-message: You do not have /<permission> to use this command.